Uploaded image for project: 'Jenkins'
  1. Jenkins
  2. JENKINS-10304

Jenkins fails to install JDK on slaves over SSH

    Details

    • Type: Bug
    • Status: Resolved
    • Priority: Blocker
    • Resolution: Fixed
    • Component/s: ssh-slaves-plugin
    • Labels:
      None
    • Environment:
      Jenkins runs on ubuntu 11.04
      Jenkins version is 1.419
      SSH Slaves plugin is 0.18
      Slave runs redhat 5.6,
    • Similar Issues:
      Show 5 results

      Description

      Launching a slave on a new host without java installed fails.
      The log says there's a problem with the JDK installation.

      See the attached log

        Attachments

          Issue Links

            Activity

            Hide
            ickersep ickersep added a comment -

            This was introduced in ssh slaves plugin 0.18. When I downgrade to 0.17 it works again.

            Show
            ickersep ickersep added a comment - This was introduced in ssh slaves plugin 0.18. When I downgrade to 0.17 it works again.
            Hide
            guyr Guy Rozendorn added a comment -

            The 'downgrade' button doesn't appear next to the plugin in my jenkins.
            I am using 1.419.

            How can I downgrade only the SSH slaves plugin?

            Show
            guyr Guy Rozendorn added a comment - The 'downgrade' button doesn't appear next to the plugin in my jenkins. I am using 1.419. How can I downgrade only the SSH slaves plugin?
            Hide
            xyloman Bryan Kelly added a comment -

            It appears that I created a duplicate to this bug, here is the one that I created: https://issues.jenkins-ci.org/browse/JENKINS-10641

            Show
            xyloman Bryan Kelly added a comment - It appears that I created a duplicate to this bug, here is the one that I created: https://issues.jenkins-ci.org/browse/JENKINS-10641
            Hide
            kohsuke Kohsuke Kawaguchi added a comment -

            The root cause is JENKINS-10511, and this actually has nothing to do with the code in ssh-slaves. To resolve this, please upgrade to Jenkins 1.424 or later.

            Show
            kohsuke Kohsuke Kawaguchi added a comment - The root cause is JENKINS-10511 , and this actually has nothing to do with the code in ssh-slaves. To resolve this, please upgrade to Jenkins 1.424 or later.

              People

              • Assignee:
                kohsuke Kohsuke Kawaguchi
                Reporter:
                guyr Guy Rozendorn
              • Votes:
                13 Vote for this issue
                Watchers:
                4 Start watching this issue

                Dates

                • Created:
                  Updated:
                  Resolved: